> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk.md).

# Client SDK

앱인토스 웹 미니앱에서 사용하는 공개 API 표면이에요. 디렉터리 구조가 곧 이 레퍼런스의 목차이고, export되는 API는 전부 같은 depth의 REFERENCE.md로 문서화돼요.

### 구성

| 영역                                            | 설명                                                               |
| --------------------------------------------- | ---------------------------------------------------------------- |
| [domains/](/documentation/sdk/domains-api.md) | `도메인.동작` 인터페이스 19종 + 각 멤버의 함수형(flat) API                         |
| [events/](/documentation/sdk/events.md)       | 네이티브 이벤트 구독 버스 (`graniteEvent` · `tdsEvent` · `appsInTossEvent`) |

### 사용 방식

```js
// 도메인 인터페이스
import { Device } from "@apps-in-toss/web-framework";
await Device.openCamera();

// 함수형(flat) API — v2와 동일
import { openCamera } from "@apps-in-toss/web-framework";
await openCamera();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
